For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get SupportGet a demo
  • Get Started
    • Welcome
    • Quickstart
  • Webhooks
    • Introduction
    • Creating a Webhook
    • Available Webhooks
  • Public API Reference (Beta)
    • Applicants/Candidates
    • Contacts/Managers
    • Clients/Departments
  • Internal API Reference
    • Applicants/Candidates
        • DELDelete An Applicant Employment History Record
        • GETGet An Applicant Employment History Record
        • POSTParse Applicant Employment History
        • POSTPersist An Applicant Employment History Record
        • POSTSet Record as Current Employment
    • Clients/Departments
    • Contacts/Managers
LogoLogo
Get SupportGet a demo
Internal API ReferenceApplicants/CandidatesEmployment History

Set Record as Current Employment

POST
https://app.brightmove.com/ATS/app/appl/employment/:guid/current
POST
/ATS/app/appl/employment/:guid/current
$curl -X POST https://app.brightmove.com/ATS/app/appl/employment/guid/current \
> -H "Content-Type: application/json" \
> -d '{}'
200Successful
1{}
Updates an Applicant's current employment information from an employment history record
Was this page helpful?
Previous

Delete Applicant Education

Next
Built with

Path parameters

guidstringRequired

Headers

X-Brightmove-Company-ApiKeystringOptional
X-Brightmove-User-ApiKeystringOptional

Request

This endpoint expects an object.
employmentHistoryGklongOptional
applicantGklongOptional
organizationNamestringOptional
stateobjectOptional
countryobjectOptional
municipalitystringOptional
regionstringOptional
titlestringOptional
descriptionstringOptional
startDatedatetimeOptional
endDatedatetimeOptional
currentEmployerbooleanOptional
compensationdoubleOptional
additionalCompensationdoubleOptional
compensationTypeenumOptional
compensationNotesstringOptional
reasonForLeavingstringOptional

Response

OK